diff --git a/docs/development-process.rst b/docs/development-process.rst
index bed835f5d6..9be04c69e6 100644
--- a/docs/development-process.rst
+++ b/docs/development-process.rst
@@ -170,7 +170,7 @@ About documentation
 * Update documents. man/\*.rst files are the source files of our man pages.
   The man pages are for users. docs/\*.rst files explain experimental
   new features. The files are for developers. The parts of contents
-  of docs/*.rst should be moved to man/\*.rst in the future.
+  of docs/\*.rst should be moved to man/\*.rst in the future.
 
 * Write docs/parser-<NAME-OF-YOUR-PARSER>.rst as you want.
   A FAQ and the design or your parser are common topics.
diff --git a/docs/format.rst b/docs/format.rst
index 36bd875d86..09168649db 100644
--- a/docs/format.rst
+++ b/docs/format.rst
@@ -431,7 +431,7 @@ command can be used::
 
 TAG FILE INFORMATION:
 
-Psuedo-tag lines can be used to encode information into the tag file regarding
+Pseudo-tag lines can be used to encode information into the tag file regarding
 details about its content (e.g. have the tags been sorted?, are the optional
 tagfields present?), and regarding the program used to generate the tag file.
 This information can be used both to optimize use of the tag file (e.g.
diff --git a/docs/news.rst b/docs/news.rst
index 75d070a23a..a118985059 100644
--- a/docs/news.rst
+++ b/docs/news.rst
@@ -933,7 +933,7 @@ Including line number to pattern field
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 ``--excmd=type`` specifies how ctags prints pattern field in a tags file.
-Universal-ctags inroduces ``combine`` as a new ``type``.
+Universal-ctags introduces ``combine`` as a new ``type``.
 
 .. IN MAN PAGE
 
@@ -1807,7 +1807,7 @@ mapped to `$scope-kind`, and the name part to `$scope-name`.
 file is generated by ctags with ``--fields=+Z``.
 
 All symbols not prefixed with `$` are operators. When using these,
-put them at the head(car) of list. The rest(cdr) of the list is
+put them at the head (car) of list. The rest (cdr) of the list is
 passed to the operator as arguments. Many of them are also available
 in the Scheme language; see the other documents.
 
diff --git a/docs/reporting.rst b/docs/reporting.rst
index 3023e9c151..3811d1949a 100644
--- a/docs/reporting.rst
+++ b/docs/reporting.rst
@@ -97,7 +97,7 @@ U-ctags developers know the programming language that you are talking.
     language object you asked tagging especially about kind.  A person
     extending a parser have to decide a kind of newly tagging language
     object: reusing an existing kind or introducing a new kind.
-    U-ctags developers expect a report know the concent kind, field,
+    U-ctags developers expect a report know the concept kind, field,
     and extra. ctags.1 man page of u-ctags explains them.
 
 English is the native language of the head maintainer.
@@ -144,7 +144,7 @@ An example of good report
 ---------------------------------------------------------------------
 
 For the following input file(input.f90), u-ctags reports incomplete pattern
-for fuction `f` at the line 23.
+for function `f` at the line 23.
 
 ::
 
diff --git a/main/entry.c b/main/entry.c
index 596bed5f24..18d761d001 100644
--- a/main/entry.c
+++ b/main/entry.c
@@ -1190,7 +1190,7 @@ static bool isTagWritable(const tagEntryInfo *const tag)
 			return false;
 
 		/* TODO: optimization
-		   A Bitmasks represeting all enabled roles can be calculated at the
+		   A Bitmasks representing all enabled roles can be calculated at the
 		   end of initializing the parser. Calculating each time when checking
 		   a tag entry is not needed. */
 		for (unsigned int roleIndex = 0; roleIndex < available_roles; roleIndex++)
@@ -1359,7 +1359,7 @@ extern int makePlaceholder (const char *const name)
 	 * from the input stream. In such case, initTagEntry fills
 	 * the lineNumber field of the placeholder tag with 0.
 	 * This breaks an assertion in makeTagEntry. Following adjustment
-	 * is for avoding it.
+	 * is for avoiding it.
 	 */
 	if (e.lineNumber == 0)
 		e.lineNumber = 1;
diff --git a/main/entry_p.h b/main/entry_p.h
index c4c870d1ea..f5cd2c7061 100644
--- a/main/entry_p.h
+++ b/main/entry_p.h
@@ -1,5 +1,5 @@
 /*
-*   Copyright (c) 2017, Red Hat, INc.
+*   Copyright (c) 2017, Red Hat, Inc.
 *   Copyright (c) 2017, Masatake YAMATO
 *
 *   This source code is released for free distribution under the terms of the
diff --git a/main/entry_private.c b/main/entry_private.c
index 98f93213d8..6f74898a88 100644
--- a/main/entry_private.c
+++ b/main/entry_private.c
@@ -1,5 +1,5 @@
 /*
-*   Copyright (c) 2017, Red Hat, INc.
+*   Copyright (c) 2017, Red Hat, Inc.
 *   Copyright (c) 2017, Masatake YAMATO
 *
 *   This source code is released for free distribution under the terms of the
diff --git a/main/kind.c b/main/kind.c
index afcbed4f09..9f5f00b078 100644
--- a/main/kind.c
+++ b/main/kind.c
@@ -440,7 +440,7 @@ extern const scopeSeparator *getScopeSeparator(struct kindControlBlock* kcb,
 	if (sep)
 		return sep;
 
-	/* Cannot find a sitable sep definition.
+	/* Cannot find a suitable sep definition.
 	 * Use default one. */
 	if (parentKindIndex == KIND_GHOST_INDEX)
 	{
diff --git a/main/lregex.c b/main/lregex.c
index e4fce80d64..6b0760e029 100644
--- a/main/lregex.c
+++ b/main/lregex.c
@@ -2294,7 +2294,7 @@ extern bool matchMultitableRegex (struct lregexControlBlock *lcb, const vString*
 				   getLanguageName (lcb->owner),
 				   table->name, offset, getInputFileName ());
 			error (WARNING, "DUMP FROM THE TOP:");
-			/* TODO: ues dumpTstack */
+			/* TODO: use dumpTstack */
 			for (i = ptrArrayCount(lcb->tstack); 0 < i; --i)
 			{
 				t = ptrArrayItem (lcb->tstack, i - 1);
diff --git a/main/options.h b/main/options.h
index bd0f6fde5b..850f7c1d4f 100644
--- a/main/options.h
+++ b/main/options.h
@@ -38,7 +38,7 @@ extern void verbose (const char *const format, ...) CTAGS_ATTR_PRINTF (1, 2);
 
 extern bool inSandbox (void);
 
-/* This is for emitting a tag for a commnn block of Fortran parser*/
+/* This is for emitting a tag for a common block of Fortran parser*/
 extern bool canUseLineNumberAsLocator (void);
 
 #endif  /* CTAGS_MAIN_OPTIONS_H */
diff --git a/main/portable-dirent_p.h b/main/portable-dirent_p.h
index 8741627d62..a2f215ed8a 100644
--- a/main/portable-dirent_p.h
+++ b/main/portable-dirent_p.h
@@ -753,7 +753,7 @@ readdir(
         } else {
             /*
              * Cannot convert file name to multi-byte string so construct
-             * an errornous directory entry and return that.  Note that
+             * an erroneous directory entry and return that.  Note that
              * we cannot return NULL as that would stop the processing
              * of directory entries completely.
              */
@@ -845,7 +845,7 @@ dirent_mbstowcs_s(
             wcstr[n] = 0;
         }
 
-        /* Length of resuting multi-byte string WITH zero terminator */
+        /* Length of resulting multi-byte string WITH zero terminator */
         if (pReturnValue) {
             *pReturnValue = n + 1;
         }
diff --git a/main/read.c b/main/read.c
index d0c8086d88..ac4f387eab 100644
--- a/main/read.c
+++ b/main/read.c
@@ -1196,7 +1196,7 @@ extern bool isTraced (void)
 		   is given or not. */
 		return isMainTraced ();
 	else
-		/* Ap arser is given. In that case, check whether the current parser is
+		/* A parser is given. In that case, check whether the current parser is
 		   specified in --_trace=<LANG>,... option */
 		return isLanguageTraced (getInputLanguage ());
 }
diff --git a/main/routines.c b/main/routines.c
index 27d781b05e..b2f7e34bdb 100644
--- a/main/routines.c
+++ b/main/routines.c
@@ -789,7 +789,7 @@ extern char* absoluteFilename (const char *file)
 					cp = slashp;/* the absolute name begins with "/.." */
 #ifdef MSDOS_STYLE_PATH
 				/* Under MSDOS and NT we get `d:/NAME' as absolute file name,
-				 * so the luser could say `d:/../NAME'. We silently treat this
+				 * so the user could say `d:/../NAME'. We silently treat this
 				 * as `d:/NAME'.
 				 */
 				else if (!isPathSeparator (cp [0]))
diff --git a/misc/dist-test-cases b/misc/dist-test-cases
index 5c8c9f7a62..a7bde1b9fd 100755
--- a/misc/dist-test-cases
+++ b/misc/dist-test-cases
@@ -7,7 +7,7 @@
 
 #
 # Originally this file generates just one file with much "EXTRA_DISTS += " lines.
-# However, now we have so many test releates files, EXTRA_DISTS becomes too long
+# However, now we have so many test related files, EXTRA_DISTS becomes too long
 # to pass it to execve.
 # See http://gnu-automake.7480.n7.nabble.com/argument-list-too-long-in-project-with-many-files-td21323.html
 #
diff --git a/misc/units b/misc/units
index 5b57304cc9..8fdcd8ff9b 100755
--- a/misc/units
+++ b/misc/units
@@ -2511,7 +2511,7 @@ validate_validator ()
 	fi
     elif ! [ -x "${validators_dir}/validator-$v" ]; then
 	if [ "$make_error" = "error" ]; then
-	    ERROR 1 "Not exectuable: $v (${validators_dir}/validator-$v)"
+	    ERROR 1 "Not executable: $v (${validators_dir}/validator-$v)"
 	else
 	    update_validator_list unavailable "$v"
 	    return 1
@@ -2696,7 +2696,7 @@ validate_dir ()
 	    default_validator=$v0
 	    ;;
 	1)
-	    # no action neeeded
+	    # no action needed
 	    ;;
 	2)
 	    update_validator_list unavailable "$v0"
@@ -2731,7 +2731,7 @@ validate_dir ()
 		fi
 		;;
 	    1)
-		# no action neeeded
+		# no action needed
 		;;
 	    2)
 		update_validator_list unavailable "$v0"
diff --git a/optlib/qemuhx.ctags b/optlib/qemuhx.ctags
index 056d443759..c43cdfde65 100644
--- a/optlib/qemuhx.ctags
+++ b/optlib/qemuhx.ctags
@@ -21,7 +21,7 @@
 #
 #
 # `hxtool' is a tool used in QEMU build process.
-# It converts an input file to both a C haeder file code and Texinfo document.
+# It converts an input file to both a C header file code and Texinfo document.
 #
 # `.hx' is the suffix for the tool.
 #
diff --git a/parsers/cxx/cxx_debug.c b/parsers/cxx/cxx_debug.c
index f247220f6e..3b1d3e3c89 100644
--- a/parsers/cxx/cxx_debug.c
+++ b/parsers/cxx/cxx_debug.c
@@ -168,7 +168,7 @@ const char* cxxDebugScopeDecode(enum CXXScopeType scope)
 		[CXXScopeTypeClass] = "class",
 		[CXXScopeTypeEnum] = "enum",
 		[CXXScopeTypeUnion] = "union",
-		[CXXScopeTypeStruct] = "structg",
+		[CXXScopeTypeStruct] = "struct",
 	};
 	if (CXXScopeTypeLAST > scope)
 		return table[scope];
diff --git a/parsers/cxx/cxx_parser.c b/parsers/cxx/cxx_parser.c
index f8d70f3a8d..41e90c59a2 100644
--- a/parsers/cxx/cxx_parser.c
+++ b/parsers/cxx/cxx_parser.c
@@ -69,11 +69,11 @@ void cxxParserNewStatement(void)
 // cxxParserParseAndCondenseSubchainsUpToOneOf() so this is actually a recursive
 // subchain nesting algorithm.
 //
-// Returns true if it has succesfully extracted and "condensed" a subchain
+// Returns true if it has successfully extracted and "condensed" a subchain
 // replacing the current token with a subchain subtree. Returns false if
 // extraction fails for some reason.
 //
-// This function never leaves the token chain in an incoerent state.
+// This function never leaves the token chain in an incoherent state.
 // The current token is always replaced with a subchain tree. If the subchain
 // is broken, its contents are discarded, regardless of the return value.
 //
@@ -1480,7 +1480,7 @@ void cxxParserAnalyzeOtherStatement(void)
 			// };
 			// 'aFunction' is NOT X::aFunction() and in complex cases we can't figure
 			// out its proper scope. Better avoid emitting this one.
-			CXX_DEBUG_PRINT("But it has been preceeded by the 'friend' keyword: this is not a real prototype");
+			CXX_DEBUG_PRINT("But it has been preceded by the 'friend' keyword: this is not a real prototype");
 		} else {
 			int iScopesPushed = cxxParserEmitFunctionTags(&oInfo,CXXTagKindPROTOTYPE,CXXEmitFunctionTagsPushScopes,NULL);
 			while(iScopesPushed > 0)
@@ -1552,7 +1552,7 @@ bool cxxParserParseAccessSpecifier(void)
 				(g_cxx.pToken->eKeyword == CXXKeywordPROTECTED) ||
 				(g_cxx.pToken->eKeyword == CXXKeywordPRIVATE)
 			),
-			"This must be called just after parinsg public/protected/private"
+			"This must be called just after parsing public/protected/private"
 		);
 
 	unsigned int uExtraType = 0;
diff --git a/parsers/cxx/cxx_parser_block.c b/parsers/cxx/cxx_parser_block.c
index 44f0e0de9a..dd545227bb 100644
--- a/parsers/cxx/cxx_parser_block.c
+++ b/parsers/cxx/cxx_parser_block.c
@@ -433,11 +433,11 @@ static bool cxxParserParseBlockInternal(bool bExpectClosingBracket)
 					break;
 					case CXXKeywordTRY:
 						// We parse try in different ways depending on the context.
-						// Inside a function, and without preceeding tokens it's assumed to be
+						// Inside a function, and without preceding tokens it's assumed to be
 						// a plain try {} catch {} block. This is easy.
 						// Out of a function it's likely to be a function try block:
 						//    int f(int n = 2) try { ... } catch { ... }
-						// Inside a function but with some preceeding tokens it's likely to be a
+						// Inside a function but with some preceding tokens it's likely to be a
 						// lambda expressed as function-try-block.
 						//    auto f() -> void try { ... } catch { ... }
 						if((cxxScopeGetType() != CXXScopeTypeFunction) || g_cxx.pToken->pPrev)
diff --git a/parsers/cxx/cxx_parser_function.c b/parsers/cxx/cxx_parser_function.c
index 6859d6985a..a68bc5e48d 100644
--- a/parsers/cxx/cxx_parser_function.c
+++ b/parsers/cxx/cxx_parser_function.c
@@ -1816,7 +1816,7 @@ bool cxxParserTokenChainLooksLikeFunctionParameterList(
 	CXX_DEBUG_ENTER();
 	CXX_DEBUG_ASSERT(
 			tc->iCount >= 2,
-			"At least linitial and final parenthesis should be there"
+			"At least initial and final parenthesis should be there"
 		);
 
 	CXX_DEBUG_ASSERT(
diff --git a/parsers/cxx/cxx_parser_internal.h b/parsers/cxx/cxx_parser_internal.h
index 474c16a6a0..06eb1c49bd 100644
--- a/parsers/cxx/cxx_parser_internal.h
+++ b/parsers/cxx/cxx_parser_internal.h
@@ -135,7 +135,7 @@ typedef struct _CXXFunctionSignatureInfo
 	// nasty things, like:
 	//     int (*foo(void))[2]
 	// It is granted that the scope and identifier are either
-	// completly included or completly excluded from the type range.
+	// completely included or completely excluded from the type range.
 	bool bTypeContainsIdentifierScopeAndSignature;
 
 	// Non-NULL if there is a trailing comma after the function.
@@ -307,7 +307,7 @@ typedef struct _CXXParserState
 	// The last token we have extracted. This is always pushed to
 	// the token chain tail (which will take care of deletion)
 	CXXToken * pToken; // the token chain tail
-	
+
 	// The parser internally supports a look-ahead of one token.
 	// It is rarely needed though.
 	// This is the token that has been "unget" from the token chain tail.
diff --git a/parsers/cxx/cxx_parser_template.c b/parsers/cxx/cxx_parser_template.c
index 655e7cfe06..7ce94f2d36 100644
--- a/parsers/cxx/cxx_parser_template.c
+++ b/parsers/cxx/cxx_parser_template.c
@@ -202,7 +202,7 @@ cxxParserParseTemplateAngleBracketsInternal(stringList *pslTypeParams)
 						   /* int >>: in this case ">>" cannot be an operator. */
 						   cxxTokenIsNonConstantKeyword(g_cxx.pToken->pPrev->pPrev)
 						   || (
-							   /* <tyename T, ... T >>: in this case ">>" cannot be an operator. */
+							   /* <typename T, ... T >>: in this case ">>" cannot be an operator. */
 							   cxxTokenTypeIs(g_cxx.pToken->pPrev->pPrev, CXXTokenTypeIdentifier)
 							   && stringListHas(pslTypeParams, vStringValue(g_cxx.pToken->pPrev->pPrev->pszWord))
 							   )
@@ -226,7 +226,7 @@ cxxParserParseTemplateAngleBracketsInternal(stringList *pslTypeParams)
 						//   ... > void ...
 						//   ... > static ...
 						// The part on the right of > does not seem to be a constant
-						// so this is not a comparison. Most likely explaination:
+						// so this is not a comparison. Most likely explanation:
 						// We screwed up the parsing of the template.
 						// However we can still attempt to emit a symbol here.
 						CXX_DEBUG_PRINT(
diff --git a/parsers/cxx/cxx_parser_tokenizer.c b/parsers/cxx/cxx_parser_tokenizer.c
index 7cbc56d850..137432429d 100644
--- a/parsers/cxx/cxx_parser_tokenizer.c
+++ b/parsers/cxx/cxx_parser_tokenizer.c
@@ -911,7 +911,7 @@ static bool cxxParserParseNextTokenCondenseAttribute(void)
 			false
 		))
 	{
-		// Pasing and/or condensation of the subchain failed. This implies broken
+		// Parsing and/or condensation of the subchain failed. This implies broken
 		// input (mismatched parenthesis/bracket, early EOF).
 
 		CXX_DEBUG_LEAVE_TEXT("Failed to parse subchains. The input is broken...");
diff --git a/parsers/jscript.c b/parsers/jscript.c
index 90c654a4f8..73b35662db 100644
--- a/parsers/jscript.c
+++ b/parsers/jscript.c
@@ -460,10 +460,10 @@ static int handleUnicodeCodePoint (uint32_t point)
 		/* 4 bytes should be enough for any encoding (it's how much UTF-32
 		 * would need). */
 		/* FIXME: actually iconv has a tendency to output a BOM for Unicode
-		 * encodings where it matters when the endianess is not specified in
+		 * encodings where it matters when the endianness is not specified in
 		 * the target encoding name.  E.g., if the target encoding is "UTF-32"
 		 * or "UTF-16" it will output 2 code points, the BOM (U+FEFF) and the
-		 * one we expect. This does not happen if the endianess is specified
+		 * one we expect. This does not happen if the endianness is specified
 		 * explicitly, e.g. with "UTF-32LE", or "UTF-16BE".
 		 * However, it's not very relevant for the moment as nothing in CTags
 		 * cope well (if at all) with non-ASCII-compatible encodings like
@@ -1596,7 +1596,7 @@ static bool parseMethods (tokenInfo *const token, const tokenInfo *const class,
 			bool is_computed_name = false; /* ES6 computed property name */
 			bool is_dynamic_prop = false;
 			vString *dprop = NULL; /* is_computed_name is true but
-									* the name is not represnted in
+									* the name is not represented in
 									* a string literal. The expressions
 									* go this string. */
 
diff --git a/parsers/rpmspec.c b/parsers/rpmspec.c
index f883cafff3..21d1f22db5 100644
--- a/parsers/rpmspec.c
+++ b/parsers/rpmspec.c
@@ -136,7 +136,7 @@ static bool found_macro_cb_full (const char *line,
 		if (data->rindex == ROLE_DEFINITION_INDEX && ctx->rejecting)
 		{
 			/* The line is continued. Let's record the cork index
-			   for attachend endLine field later. */
+			   for attaching endLine field later. */
 			ctx->macro_index = cork_index;
 		}
 
diff --git a/parsers/ttcn.c b/parsers/ttcn.c
index 3352fbaea2..d61e1b5673 100644
--- a/parsers/ttcn.c
+++ b/parsers/ttcn.c
@@ -442,7 +442,7 @@ static ttcnToken_t * getToken (void)
 		while((c = getcFromInputFile()) != EOF)
 		{
 			vStringPut(pTtcnToken->value, c);
-            /* consume escaped chracters */
+            /* consume escaped characters */
             if(c == '\\' && ((c2 = getcFromInputFile()) != EOF))
             {
                 vStringPut(pTtcnToken->value, c2);
diff --git a/parsers/verilog.c b/parsers/verilog.c
index 7461ae5cae..ac40dc43a1 100644
--- a/parsers/verilog.c
+++ b/parsers/verilog.c
@@ -379,7 +379,7 @@ static void vUngetc (int c)
 	Ungetc = c;
 }
 
-/* Mostly copyed from cppSkipOverCComment() in cpreprocessor.c.
+/* Mostly copied from cppSkipOverCComment() in cpreprocessor.c.
  *
  * cppSkipOverCComment() uses the internal ungetc buffer of
  * CPreProcessor.  On the other hand, the Verilog parser uses
diff --git a/peg/varlink.peg b/peg/varlink.peg
index 977c1f4389..95d4480ad0 100644
--- a/peg/varlink.peg
+++ b/peg/varlink.peg
@@ -67,7 +67,7 @@
 }
 
 #
-# Packcc tries to apply the first grammer rule in the input.
+# Packcc tries to apply the first grammar rule in the input.
 #
 interface
     <- _* "interface" _+ interface_name eol ( member_list ) _*
diff --git a/peg/varlink_post.h b/peg/varlink_post.h
index b393ed9e0c..9e085e51fe 100644
--- a/peg/varlink_post.h
+++ b/peg/varlink_post.h
@@ -17,7 +17,7 @@
 #include "routines.h"
 
 /*
-* FUNCTOIN DEFINITIONS
+* FUNCTION DEFINITIONS
 */
 static void pushKind (struct parserCtx *auxil, int kind)
 {
